Bug 1456974

Summary: Cannot scroll and scale with mouse wheel in GTK3 Inkscape
Product: [Fedora] Fedora Reporter: Alexander Mikhaylenko <alexm>
Component: inkscapeAssignee: Gwyn Ciesla <gwync>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 25CC: duffy, gwync, jonathan.underwood, lkundrak, matthew.hirsch, mikem, rhbz, rlerch
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-16 18:58:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1277927    

Description Alexander Mikhaylenko 2017-05-30 19:45:53 UTC
Description of problem:
Since Inkscape switched to GTK3, scrolling/panning with mouse wheel and scaling with Ctrl+mouse wheel has stopped working.

Version-Release number of selected component (if applicable):
inkscape-0.92.1-4.20170510bzr15686.fc25.x86_64

Steps to Reproduce:
1. Open Inkscape
2. Try to scroll or scale the canvas

Comment 1 Alexander Mikhaylenko 2017-05-30 19:49:19 UTC
Forgot to mention, this is only when running under Wayland natively. When launched via GDK_BACKEND=x11 inkscape, it works.

Comment 2 Matt Hirsch 2017-06-09 02:29:48 UTC
Possible duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1417098

Comment 3 Alexander Mikhaylenko 2017-06-09 09:17:37 UTC
Yes, seems so. However, there can easily be the same bug in Inkscape and Gnumeric.

Comment 4 Mike McLean 2017-08-12 02:16:10 UTC
This bug is driving me crazy :(

Comment 5 Fedora End Of Life 2017-11-16 18:50:21 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Alexander Mikhaylenko 2017-11-16 18:58:02 UTC
Inkscape in Fedora 27 is built with GTK2 again.